#ifdef GL_ES//for discriminate GLES & GL
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#else
#define highp
#define mediump
#define lowp
#endif
//precision mediump float;
varying vec2 vTexCoord;
uniform sampler2D texture;

void main()
{
    vec4 color = texture2D(texture, vTexCoord);
    
    float t = color.r*255.0;
    
    //脸部mask像素值为1.0的区域(皮肤区域)
    if( t>0.8&& t<1.4)
    {
        gl_FragColor = vec4(1.0,1.0,1.0,1.0);
    }else
    {
        gl_FragColor = vec4(0.0,0.0,0.0,1.0);
    }
}
