#ifdef GL_ES//for discriminate GLES & GL
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#else
#define highp
#define mediump
#define lowp
#endif
//precision mediump float;
varying vec2 vTexCoord;
uniform sampler2D textureback;
uniform sampler2D texture;
uniform sampler2D texture1;

// void main()
// {
//     vec2 reCoord2 = vTexCoord;
    
//     vec4 colormask = texture2D(texture1, reCoord2);
//     vec4 color = texture2D(texture, reCoord2);
//     if(colormask.r>0.5)
//     {
//         gl_FragColor = color;
//     }else
//     {
//         gl_FragColor = texture2D(textureback,vTexCoord);
//     }
// }

void main()
{
    vec2 reCoord2 = vTexCoord;
    vec4 colormask = texture2D(texture1, reCoord2);
    vec4 color = texture2D(texture, reCoord2);
    vec4 back = texture2D(textureback,vTexCoord);
    gl_FragColor = vec4(mix(back.rgb, color.rgb, colormask.r), color.a);
}
