#ifdef GL_ES//for discriminate GLES & GL
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#else
#define highp
#define mediump
#define lowp
#endif
varying vec2 vTexCoord;
uniform sampler2D texture;

void main()
{
    vec4 color = texture2D(texture, vTexCoord);
    
    float t = color.r*255.0;
    
    gl_FragColor = vec4(0.0,0.0,0.0,1.0);
    if( t >= 0.8 && t <=16.5)
    {
        gl_FragColor = vec4(1.0,1.0,1.0,1.0);
        
    }
    
}
