#ifdef GL_ES//for discriminate GLES & GL
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#else
#define highp
#define mediump
#define lowp
#endif
varying vec2 vTexCoord;
uniform sampler2D texture;
uniform vec4 number;

void main()
{
    vec4 color = texture2D(texture, vTexCoord);
    float t = color.r*255.0;
    
    gl_FragColor = vec4(0.0,0.0,0.0,1.0);
    
    //rgba--1230--脸、头发、脖子、背景
    if( (t >= 2.9  && t <=3.1)&&(number.b > 0.5))
    {
        gl_FragColor = vec4(1.0,1.0,1.0,1.0);
    }
    if( (t >= 1.9 && t <=2.1)&&(number.g > 0.5))
    {
        gl_FragColor = vec4(1.0,1.0,1.0,1.0);
    }
    if( (t >= 0.9 && t <=1.1)&&(number.r > 0.5))
    {
        gl_FragColor = vec4(1.0,1.0,1.0,1.0);
    }
    if( (t <=0.5)&&(number.a > 0.5))
    {
        gl_FragColor = vec4(1.0,1.0,1.0,1.0);
    }
}
